@echo off

set PROJNAME=bdsc-sgl
set FILENAME=sgl
set DISK_NAME=bdsc-sgl.p32
set CFILENAME=sgldemo
set PROJPATH=D:\8bit\PMD-85\projects\%PROJNAME%
set SRCPATH=%PROJPATH%\src
set OUTPATH=%PROJPATH%\out
set DATPATH=%PROJPATH%\data
set BDSC_DISK_PATH=D:\!BCB-RAD-Proj\PMD85Emu3\Win32\Debug\exe\Disk\bdsc

copy /B %SRCPATH%\%FILENAME%.a8080 %SRCPATH%\%FILENAME%.csm
if ERRORLEVEL 1 goto error

cim %BDSC_DISK_PATH%\%DISK_NAME% -e %FILENAME%.csm
if ERRORLEVEL 1 goto error
cim %BDSC_DISK_PATH%\%DISK_NAME% -e %FILENAME%.h
if ERRORLEVEL 1 goto error
cim %BDSC_DISK_PATH%\%DISK_NAME% -e %CFILENAME%.h
if ERRORLEVEL 1 goto error
cim %BDSC_DISK_PATH%\%DISK_NAME% -e %CFILENAME%.c
if ERRORLEVEL 1 goto error
cim %BDSC_DISK_PATH%\%DISK_NAME% -e %CFILENAME%G.c
if ERRORLEVEL 1 goto error
cim %BDSC_DISK_PATH%\%DISK_NAME% -e diafont.fnt
if ERRORLEVEL 1 goto error
cim %BDSC_DISK_PATH%\%DISK_NAME% -e sprites.spr
if ERRORLEVEL 1 goto error
cim %BDSC_DISK_PATH%\%DISK_NAME% -e sprites2.spr
if ERRORLEVEL 1 goto error
cim %BDSC_DISK_PATH%\%DISK_NAME% -e room.dat
if ERRORLEVEL 1 goto error
cim %BDSC_DISK_PATH%\%DISK_NAME% -e melody.dat
if ERRORLEVEL 1 goto error

ConvChar win %SRCPATH%\%CFILENAME%W.c koi %SRCPATH%\%CFILENAME%.c
if ERRORLEVEL 1 goto error
ConvChar win %SRCPATH%\%CFILENAME%GW.c koi %SRCPATH%\%CFILENAME%G.c
if ERRORLEVEL 1 goto error

cim %BDSC_DISK_PATH%\%DISK_NAME% -a %SRCPATH%\%FILENAME%.csm
if ERRORLEVEL 1 goto error
cim %BDSC_DISK_PATH%\%DISK_NAME% -a %SRCPATH%\%FILENAME%.h
if ERRORLEVEL 1 goto error
cim %BDSC_DISK_PATH%\%DISK_NAME% -a %SRCPATH%\%CFILENAME%.h
if ERRORLEVEL 1 goto error
cim %BDSC_DISK_PATH%\%DISK_NAME% -a %SRCPATH%\%CFILENAME%.c
if ERRORLEVEL 1 goto error
cim %BDSC_DISK_PATH%\%DISK_NAME% -a %SRCPATH%\%CFILENAME%G.c
if ERRORLEVEL 1 goto error
cim %BDSC_DISK_PATH%\%DISK_NAME% -a %DATPATH%\diafont.fnt
if ERRORLEVEL 1 goto error
cim %BDSC_DISK_PATH%\%DISK_NAME% -a %DATPATH%\sprites.spr
if ERRORLEVEL 1 goto error
cim %BDSC_DISK_PATH%\%DISK_NAME% -a %DATPATH%\sprites2.spr
if ERRORLEVEL 1 goto error
cim %BDSC_DISK_PATH%\%DISK_NAME% -a %DATPATH%\room.dat
if ERRORLEVEL 1 goto error
cim %BDSC_DISK_PATH%\%DISK_NAME% -a %DATPATH%\melody.dat
if ERRORLEVEL 1 goto error

goto end

:error
echo Chyba kompilacie.
rem pause

:end
rem pause
